/*
 * @Author: luofu
 * @Date: 2023-08-30 10:44:15
 * @Descripttion: 
 */
import {loginUrlCheck} from '@/api/api'
import { getFileAccessHttpUrl } from '@/api/manage'
const enhance = {
  state: {
    isPageUrlTrue: true,
    pageTitle: '湖北汉江之星科技有限公司',
    pageImage: ''
  },
  mutations: {
    SET_PAGE_URL_FLAG: (state, flag) => {
      state.isPageUrlTrue = flag
    },
  },
  actions: {
    onLoginUrlCheck({ commit }, record) {
      loginUrlCheck({platformType: 'partner'}).then(res=> {
        if(res.result && res.result.name) {
          commit('SET_PAGE_URL_FLAG', true)
        } else {
          commit('SET_PAGE_URL_FLAG', false)
        }
      })
    }
  }
}
export default enhance